Package org.apache.tomcat.util.http

## Class ConcurrentDateFormat

- java.lang.Object
- - org.apache.tomcat.util.http.ConcurrentDateFormat

-     public class ConcurrentDateFormat
      extends java.lang.Object

  A thread safe wrapper around `SimpleDateFormat` that does not make use of ThreadLocal and - broadly - only creates enough SimpleDateFormat objects to satisfy the concurrency requirements.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConcurrentDateFormat​(java.lang.String format, java.util.Locale locale, java.util.TimeZone timezone)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `format​(java.util.Date date)` |
    `java.util.Date` | `parse​(java.lang.String source)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcurrentDateFormat

          public ConcurrentDateFormat​(java.lang.String format,
                                      java.util.Locale locale,
                                      java.util.TimeZone timezone)

  - ### Method Detail

    - #### format

          public java.lang.String format​(java.util.Date date)

    - #### parse

          public java.util.Date parse​(java.lang.String source)
                               throws java.text.ParseException

      Throws:
        `java.text.ParseException`